### Hierarchy

- NodeCryptoCipher

### Implements

- Cipher

## Index

### Constructors

- constructor

### Properties

- createCipher
- createDecipher

### Methods

- decrypt
- encrypt

## Constructors

### constructor

- new NodeCryptoCipher(createCipher: NodeCryptoCreateCipher, createDecipher: NodeCryptoCreateDecipher): NodeCryptoCipher

- - Defined in encryption/aesCipher.ts:25

  #### Parameters

  - ##### createCipher: NodeCryptoCreateCipher

  - ##### createDecipher: NodeCryptoCreateDecipher

  #### Returns NodeCryptoCipher

## Properties

### createCipher

createCipher: NodeCryptoCreateCipher

- Defined in encryption/aesCipher.ts:23

### createDecipher

createDecipher: NodeCryptoCreateDecipher

- Defined in encryption/aesCipher.ts:25

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>

- Implementation of Cipher.decrypt

  - Defined in encryption/aesCipher.ts:46

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: NodeJS.TypedArray

  - ##### iv: NodeJS.TypedArray

  - ##### data: NodeJS.TypedArray

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>

- Implementation of Cipher.encrypt

  - Defined in encryption/aesCipher.ts:32

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: NodeJS.TypedArray

  - ##### iv: NodeJS.TypedArray

  - ##### data: NodeJS.TypedArray

  #### Returns Promise<Buffer>

Generated using TypeDoc